# Acceptance environment

Once GAP components have been tested successfully in the test environment, they
are advanced to the UAT environment. In this environment, stakeholders from
other teams such as Network Engineering and Operations are able to perform their
own tests on the system.

In the UAT environment, only full releases are deployed. This means that
development builds are not included in this environment. Devices targeted by GAP
are physical routers in the lab, to increase accuracy of integration testing.

The UAT environment has been designed to mimic the ultimate production
environment as close as possible. To achieve this, all VMs are managed in the
same manner using Puppet, and external resources are configured identically. The
external service database is hosted on a distributed Postgres cluster, which is
provided by the DevOps team. The Redis instance is also a cluster, which again
comes from the DevOps team.

Once testing has been completed, components are ready to move to the production
environment.
